module HTTPLogAnalyzer

  class Element

    class Status < Element

      attr_accessor :code
      attr_accessor :message

      def parse(string)
        @code = string.to_i
        @message = Net::HTTP::STATUS_CODES[@code]
      end

      def class
        @code / 100
      end

    end

  end

end